Control.Type (Java SE 14 & JDK 14)
Description: declaration: module: java.desktop, package: javax.sound.sampled, class: Control, class: Type
Keywords: javax.sound.sampled.Control.Type class

Module java.desktop
Package javax.sound.sampled

# Class Control.Type

java.lang.Object
javax.sound.sampled.Control.Type

Direct Known Subclasses:
  `BooleanControl.Type`, `CompoundControl.Type`, `EnumControl.Type`, `FloatControl.Type`

Enclosing class:
  Control

    public static class Control.Type
    extends Object

An instance of the `Type` class represents the type of the control.

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `Type​(String name)` | Constructs a new control type with the name specified.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(Object obj)` | Indicates whether the specified object is equal to this control type, returning `true` if the objects are the same.
  `int` | `hashCode()` | Returns a hash code value for this control type.
  `String` | `toString()` | Provides the `String` representation of the control type.

  ### Methods declared in class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Type

    protected Type​(String name)
    Constructs a new control type with the name specified. The name should be a descriptive string appropriate for labelling the control in an application, such as "Gain" or "Balance".
    Parameters:
      `name` - the name of the new control type

- ## Method Details

  - ### equals

    public final boolean equals​(Object obj)
    Indicates whether the specified object is equal to this control type, returning `true` if the objects are the same.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `obj` - the reference object with which to compare
    Returns:
      `true` if the specified object is equal to this control type; `false` otherwise
    See Also:
      `Object.hashCode()`, `HashMap`

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this control type.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      a hash code value for this control type
    See Also:
      `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

  - ### toString

    public final String toString()
    Provides the `String` representation of the control type. This `String` is the same name that was passed to the constructor.
    Overrides:
      `toString` in class `Object`
    Returns:
      the control type name